## 9menu 1.4

=== Makefile ===
# Makefile for 9menu.
#
# Edit to taste
#
# Arnold Robbins
# arnold@skeeve.atl.ga.us

CC = gcc
CFLAGS = -g -O
LIBS = -lX11

9menu: 9menu.c
	$(CC) $(CFLAGS) 9menu.c $(LIBS) -o 9menu

## 9menu 1.8

=== debian/changelog ===
9menu (1.8-5) unstable; urgency=low

  * Fix resource leak:fp LP: #479042
    + New patch 07_remove-resource-leak.diff

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 16 Dec 2010 15:02:55 -0500

9menu (1.8-4) unstable; urgency=low

  * Switch from override_* targets to files in debian/
  * Do not link with Xext: we do not use it
    + Remove libxext-dev from Build-Depends
    + New patch: 06_Imakefile.diff
  * Added header description into old patches

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 01 Nov 2010 20:04:56 -0500

9menu (1.8-3) unstable; urgency=low

  * New maintainer. Closes: #525488
  * Switch to dpkg-source 3.0 (quilt) format
  * add debian/watch file
  * debian/control
    + Bumped standard versions 3.9.1
    + Remove dpatch from Build-Depends
    + Set myself as Maintainer
    + Changed debhelper to 7.0.50 in B-D
  * debian/patches
    + Change all patches from dpatch to quilt
  * debian/install
    + Removed
  * debian/compat
    + Switch compat level 5 to 7

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 27 Sep 2010 19:54:44 -0500

9menu (1.8-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Acknowledge NMUs.
  * Replace x-dev build-dep with x11proto-core-dev. (Closes: #515354).
  * Replace xutils build-dep with xutils-dev.
  * 05_morekeys.dpatch - Support more keys. (Closes: #513696).
    + Thanks to Bernhard R. Link for the patch. 
  * Make clean not ignore errors.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 24 Apr 2009 17:00:40 -0400

9menu (1.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-dep on libxext-dev, fixes FTBFS (Closes: #486973, #464593)
  * Add build-dep on xutils-dev for imake (Closes: #485188)x	

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2008 21:52:55 +0200

9menu (1.8-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346610).

 -- Luk Claes <luk@debian.org>  Thu, 12 Jan 2006 00:03:45 +0100

9menu (1.8-1) unstable; urgency=low

  * New upstream; popup-exec patch rolled in.

 -- Andrew Stribblehill <ads@debian.org>  Fri,  9 Sep 2005 16:21:54 +0100

9menu (1.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * The .orig.tar.gz is headed by a setgid directory, which can cause build
    problems. Remove the setgid bit on clean (closes: #233320).

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Mar 2004 12:30:25 +0000

9menu (1.7-2) unstable; urgency=low

  * Allow '-file -' to cause stdin to be read as the file. Thanks go to Peter
    Bailey for the inspiration for the patch.

 -- Andrew Stribblehill <ads@debian.org>  Tue,  2 Sep 2003 12:06:09 +0100

9menu (1.7-1) unstable; urgency=low

  * New upstream release. Clarified with Arnold (upstream) that binaries
    compiled from patched source may be distributed. (Closes: Bug#178992)
  
 -- Andrew Stribblehill <ads@debian.org>  Tue,  1 Jul 2003 12:37:47 +0100

9menu (1.6-3) unstable; urgency=low

  * New maintainer; thanks Stephen
  * Patch so 9menu just execs not fork/exec + exit on popup
  * Move binary to /usr/bin and manpage to /usr/share/man
  * Use debhelper wholesale

 -- Andrew Stribblehill <ads@debian.org>  Sat, 14 Jun 2003 16:23:37 +0100

9menu (1.6-2) unstable; urgency=low

  * Fixed Build-Depends to include xutils.

 -- Stephen Frost <sfrost@debian.org>  Thu, 25 Apr 2002 08:30:21 -0400

9menu (1.6-1) unstable; urgency=low

  * New upstream version

 -- Stephen Frost <sfrost@debian.org>  Thu, 25 Apr 2002 01:05:04 -0400

9menu (1.5-2) unstable; urgency=low

  * Fixed Build-Depends line (added debhelper)
  * Changed maintainer email address.

 -- Stephen Frost <sfrost@debian.org>  Wed,  4 Jul 2001 11:39:45 -0400

9menu (1.5-1) unstable; urgency=medium

  * New upstream version
  * Added md5sums correctly

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 22:44:38 -0500

9menu (1.4-10.2) unstable; urgency=low

  * New Maintainer
  * Fixed gcc warnings.

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 20:58:13 -0500

9menu (1.4-10.1) unstable; urgency=medium

  * Non-maintainer upload 
  * debian/postinst, debian/postrm: added missing "#!/bin/sh -e" line 
    (closes: bug #77413).

 -- An Thi-Nguyen Le <anle@debian.org>  Mon, 27 Nov 2000 18:46:45 -0600

9menu (1.4-10) unstable; urgency=low

  * /usr/doc -> /usr/share/doc
  * Changed CFLAGS and INSTALL_PROGRAM in debian/rules according to
    the new policy.
  * Added build dependencies.
  * Standards-Version: 3.2.1

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 11 Nov 2000 22:37:30 +0100

9menu (1.4-9) unstable; urgency=low

  * Orphaned the package.

 -- Joel Klecker <espy@debian.org>  Wed,  2 Jun 1999 00:42:15 -0700

9menu (1.4-8) unstable; urgency=low

  * New maintainer.

 -- Joel Klecker <jk@espy.org>  Wed,  17 Dec 1997 09:59:05 -0800

9menu (1.4-7) unstable; urgency=low

  * Compile against libc6

 -- Karl Sackett <krs@debian.org>  Mon,  3 Nov 1997 15:30:53 -0500

9menu (1.4-6) unstable; urgency=low

  * Changed maintainer's address.

 -- Karl Sackett <krs@debian.org>  Thu, 31 Oct 1996 09:34:48 -0600

9menu (1.4-5) unstable; urgency=low

  * Converted to new package standards.

 -- Karl Sackett <krs@caos.aamu.edu>  Thu, 3 Oct 1996 10:28:01 -0500

1.4-4
	* support files now architecture-independent
1.4-3
	* Added Debian support files.
	* Corrected prefix, exec_prefix in debian.rules.
	* Moved man page from 9menu.1x to 9menu.1

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: 9menu
Section: x11
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: libx11-dev, x11proto-core-dev, debhelper (>= 7.0.50), xutils-dev
Standards-Version: 3.9.1

Package: 9menu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Creates X menus from the shell
 This is a simple program that allows you to create X menus from
 the shell, where each menu item will run a command. 9menu is intended
 for use with 9wm, but can be used with any other window manager.

=== debian/rules ===
#!/usr/bin/make -f

CC = gcc
CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


%:
	dh $@


override_dh_auto_build:
	xmkmf
	dh_auto_build -- CC="$(CC)" CCOPTIONS+="$(CFLAGS)" 9menu

override_dh_installchangelogs:
	sed -n '1,/\*\// {s/^.*\*[ /]\?//; s/9menu.c/Taken from &/; p}' 9menu.c > changelog
	dh_installchangelogs changelog

=== debian/watch ===
version=3
ftp://ftp.freefriends.org/arnold/Source/9menu-(.*)\.shar\.gz

## 9menu 1.9

=== debian/changelog ===
9menu (1.9-1) unstable; urgency=low

  * New upstream release
  * Bump standard versions 3.9.6
    + update copyright file
  * debian/patches
    + Refresh 03_stdin.diff patch
    + Refresh 04_signedness.diff patch
    + Refresh 05_morekeys.diff patch
    + Remove 06_Imakefile.diff patch merge with upstream
    + Refresh 07_remove-resource-leak.diff patch

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 01 Jul 2015 20:40:20 -0500

9menu (1.8-6) unstable; urgency=low

  * debian/control
    + Bump standard versions 3.9.3
      + Update to DEP5 copyright format 1.0
    + Change debhelper to 9 in B-D
    + Order Depends and Build-Depends
  * debian/compat
    + Switch compat level 7 to 9
  * debian/rules
    + Use Hardening flags

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 22 Aug 2012 18:52:13 -0500

=== debian/control ===
Source: 9menu
Section: x11
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 9.0), libx11-dev, x11proto-core-dev, xutils-dev
Standards-Version: 3.9.6

Package: 9menu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Creates X menus from the shell
 This is a simple program that allows you to create X menus from
 the shell, where each menu item will run a command. 9menu is intended
 for use with 9wm, but can be used with any other window manager.

=== debian/rules ===
#!/usr/bin/make -f

CC := gcc
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	xmkmf
	dh_auto_build -- CC="$(CC)" CCOPTIONS+="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" 9menu

override_dh_installchangelogs:
	sed -n '1,/\*\// {s/^.*\*[ /]\?//; s/9menu.c/Taken from &/; p}' 9menu.c > changelog
	dh_installchangelogs changelog

## 9menu 1.10

=== debian/changelog ===
9menu (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Add d/repack.sh script.
  * Change my email address and my lastname in debian files.
  * Bump standard versions 4.5.0 (no changes).
  * Use wrap-and-sort.
  * Use debhelper-compat instead of debian/compat.
  * Mark Rules-Requires-Root: no as we don't need root for building
  * debian/patches
    + Refresh 04_signedness.diff patch.
    + Refresh 05_morekeys.diff patch.
    + Refresh 07_remove-resource-leak.diff patch.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 24 Apr 2020 23:06:32 -0500

9menu (1.9-2) unstable; urgency=medium

  * Fix FTCBFS uses native compiler. (Closes: #921048)
    + Thanks to Do Thanh Trung for the patch.
  * debian/control
    + Change debhelper to 11 in B-D.
    + Change my email address.
    + Bump standard versions 4.3.0 (no changes).
  * debian/compat
    + Switch compat level 9 to 11.
  * debian/copyright
    + Use HTTPS in format URI.
  * debian/rules
    + Export hardening flags.
  * Remove some trailing-whitespaces.
  * Use wrap-and-sort.

 -- Daniel Echeverri <epsilon@debian.org>  Mon, 04 Feb 2019 22:06:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: 9menu
 Section: x11
 Priority: optional
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 9.0), libx11-dev, x11proto-core-dev, xutils-dev
-Standards-Version: 3.9.6
+Maintainer: Daniel Echeverri <epsilon@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               libx11-dev,
+               x11proto-core-dev,
+               xutils-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: 9menu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
-
-CC := gcc
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+include /usr/share/dpkg/buildtools.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=3
ftp://ftp.freefriends.org/arnold/Source/9menu-(.*)\.shar\.gz debian debian/repack.sh

## 9menu 1.11

=== Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/104 1998/03/24 12:45:15 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/249 1997/10/13 15:28:56 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.81 2000/06/25 20:17:28 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/30 1998/04/28 13:55:25 barstow $

# $XFree86: xc/config/cf/Imake.cf,v 3.58 2000/06/30 17:15:05 dawes Exp $

# Keep cpp from replacing path elements containing i486/i586/i686

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.162 2000/05/31 07:14:52 eich Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/47 1998/04/17 11:32:51 mgreess
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.130 2000/07/07 20:06:56 tsi Exp $

# operating system:  Linux 2.2.16-22 i686 [ELF] (2.2.16)
# libc:	(6.1.92)
# binutils:	(30)

# $TOG: lnxLib.rules /main/14 1998/03/16 11:15:30 mgreess $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.38 2000/06/15 20:49:56 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.303 2000/08/01 20:52:18 dawes Exp $

# $TOG: xfree86.cf /main/38 1997/10/22 13:01:59 kaleb $

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.31 2000/03/31 22:55:15 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/227 1998/02/02 12:07:57 kaleb $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.76 2000/06/15 20:49:55 dawes Exp $

 _NULLCMD_ = @ echo -n

GLIDE2INCDIR =

GLIDE3INCDIR =

TKLIBNAME =

TKLIBDIR =

TCLLIBNAME =

TCLIBDIR =

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = rman
      RMANOPTIONS = -f HTML
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSUFFIX)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSUFFIX)
     LOGDIRECTORY = /var/log

        VARRUNDIR = /var/run

         VARDBDIR = /var/lib

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce -Wall
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
           RAWCPP = /lib/cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = cpp $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
    MISCMANSUFFIX = 7
  DRIVERMANSUFFIX = 4
          MANDEFS = -D__filemansuffix__=$(FILEMANSUFFIX) -D__miscmansuffix__=$(MISCMANSUFFIX) -D__drivermansuffix__=$(DRIVERMANSUFFIX) -D__projectroot__=$(PROJECTROOT)

            TROFF = groff -Tps
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b
            MODCC = gcc
           MODCPP = /lib/cpp
        MODCFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREAD_CFLAGS) $(ALLDEFINES)
            MODAS = as
       MODASFLAGS =
            MODLD = ld
       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq
        MODRANLIB =

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2 -fno-strength-reduce
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR =
         TKINCDIR =
        TKLIBNAME =
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR =
        TCLINCDIR =
       TCLLIBNAME =
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# $XFree86: xc/config/cf/X11.rules,v 1.4 1997/09/09 11:56:20 hohndel Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/308 1998/06/16 15:14:24 msr $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.72 2000/08/01 20:28:37 dawes Exp $

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
   BUILDMODULEDIR = $(BUILDLIBDIR)/modules
   BUILDMODULETOP = $(BUILDLIBTOP)/..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
       LIBEXECDIR = /usr/X11R6/libexec
        MODULEDIR = $(USRLIBDIR)/modules
   TOP_X_INCLUDES =

           VARDIR = /var/X11

        ETCX11DIR = /etc/X11

          CONFDIR = $(ETCX11DIR)

           DOCDIR = $(LIBDIR)/doc
       DOCHTMLDIR = $(DOCDIR)/html
         DOCPSDIR = $(DOCDIR)/PostScript
          FONTDIR = $(LIBDIR)/fonts
     ENCODINGSDIR = $(FONTDIR)/encodings
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)/xserver
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = $(BINDIR)/rgb
            FONTC = $(BINDIR)/bdftopcf
        MKFONTDIR = $(BINDIR)/mkfontdir
      MKHTMLINDEX = $(BINDIR)/mkhtmlindex

     HTMLINDEXCMD = HtmlIndexCmd

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
     ENCODINGSSRC = $(FONTSRC)/encodings
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc
           RGBSRC = $(XTOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(XTOP)/include/fonts

=== debian/changelog ===
9menu (1.11-1) unstable; urgency=medium

  * New upstream release. (Closes: #1082028)
  * debian/control
    + Add homepage field.
    + Bump standard versions 4.7.0 (no changes).
    + Change debhelper-compat to 13 in B-D.
  * debian/copyright
    + Update source field.
    + extend packaging copyright years.
    + Update my email address.
  * debian/patches
    + Refresh 04_signedness.diff patch.
    + Refresh 05_morekeys.diff patch.
    + Refresh 07_remove-resource-leak.diff patch.
  * Update watch file and automate repacking upstream tarball.


 -- Daniel Echeverri <epsilon@debian.org>  Wed, 18 Sep 2024 21:25:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Daniel Echeverri <epsilon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Homepage: https://github.com/arnoldrobbins/9menu
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                x11proto-core-dev,
                xutils-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: 9menu

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/9menu-release-(\d+\.\d+)\.tar\.gz/9menu-$1\.tar\.gz/ \
  https://github.com/arnoldrobbins/9menu/tags .*/9menu-release-(\d+\.\d+)\.tar\.gz
